<?php get_header(); ?>
<div id="content">
	
	
	<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
		<div id="post-<?php the_ID(); ?>" <?php post_class('post'); ?>>


			<div id="nav-above" class="navigation">
				<div class="nav-previous"><?php previous_post_link( '%link', '&laquo; %title' ) ?></div>
				<div class="nav-next"><?php next_post_link( '%link', '%title &raquo;' ) ?></div>
			</div>

			<article>
				<h1><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="bookmark"><?php the_title(); ?></a></h1>
				
				<div class="post-writer">
					<p>
						Written on <a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="bookmark"><?php the_time('F j, Y'); ?> at <?php the_time() ?></a>, 						 						by <?php the_author_posts_link() ?>
					</p>
				</div>
				
				<?php edit_post_link('<small>Edit this entry</small>','',''); ?>
				<?php if ( has_post_thumbnail() ) { /* loades the post's featured thumbnail, requires WordPress 3.0+ */ echo '<div class="featured-thumbnail">'; the_post_thumbnail(); echo '</div>'; } ?>
				
                
                
                
                <div class="post-content">
					<?php the_content(); ?>
					
					<?php wp_link_pages( array( 'before' => '<div class="pagination">' .'Pages:', 'biotodoma', 'after' => '</div>' ) ); ?>
				</div><!--.post-content-->
			</article>

			<div class="post-meta">
				<p>
					<span class="category-icon"><?php the_category(', ') ?></span>
					<?php if( get_the_tag_list() ):?> <span class="tags-icon"><?php the_tags('', ', ', ' ');?></span><?php endif;?>
                    <span class="commented-icon"><?php comments_number('No Comments','1 Comment','% Comments'); ?></span>
					<?php edit_post_link('Edit', "\n\t\t\t\t\t<span class=\"edit-link\">", "</span>" ) ?>
                  
				
                <p>
					Recieve new post updates: <a href="<?php bloginfo('rss2_url'); ?>" rel="nofollow">Entries (RSS)</a>
					<br />
					Recieve follow up comments updates: <?php post_comments_feed_link('RSS 2.0'); ?>
				</p>
			</div><!--#post-meta-->

			<?php /* If a user fills out their bio info, it's included here */ ?>
			<div id="post-author">
				<h3>Written by <?php the_author_posts_link() ?></h3>
				<p class="gravatar"><?php if(function_exists('get_avatar')) { echo get_avatar( get_the_author_meta('email'), '80' ); /* This avatar is the user's gravatar (http://gravatar.com) based on their administrative email address */  } ?></p>
				<div id="authorDescription">
					<?php the_author_meta('description') ?> 
					<div id="author-link">
						<p>View all posts by: <?php the_author_posts_link() ?></p>
					</div><!--#author-link-->
				</div><!--#author-description -->
			</div><!--#post-author-->

		</div><!-- #post-## -->

		<div id="nav-below" class="navigation">
				<div class="nav-previous"><?php previous_post_link( '%link', '&laquo; %title' ) ?></div>
				<div class="nav-next"><?php next_post_link( '%link', '%title &raquo;' ) ?></div>
		</div>

		<?php comments_template( '', true ); ?>

	<?php endwhile; /* end loop */ ?>
</div><!--#content-->
<?php get_sidebar(); ?>
<?php get_footer(); ?>